> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get router

> Get detailed information about a specific router.



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v1/routers/{project_id}/{region_id}/{router_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-07T20:33:46.548242+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/routers/{project_id}/{region_id}/{router_id}:
    get:
      tags:
        - Routers
      summary: Get router
      description: Get detailed information about a specific router.
      operationId: RouterRouterViewSet.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            type: integer
        - in: path
          name: router_id
          required: true
          description: Router ID
          schema:
            type: string
      responses:
        '200':
          description: Router details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RouterSerializer'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            router = client.cloud.networks.routers.get(
                router_id="router_id",
                project_id=0,
                region_id=0,
            )
            print(router.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/cloud\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\trouter, err := client.Cloud.Networks.Routers.Get(\n\t\tcontext.TODO(),\n\t\t\"router_id\",\n\t\tcloud.NetworkRouterGetParams{\n\t\t\tProjectID: gcore.Int(0),\n\t\t\tRegionID:  gcore.Int(0),\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", router.ID)\n}\n"
components:
  schemas:
    RouterSerializer:
      properties:
        created_at:
          description: Datetime when the router was created
          format: date-time
          title: Created At
          type: string
        creator_task_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          default: null
          description: Task that created this entity
          title: Creator Task Id
        distributed:
          description: Whether the router is distributed or centralized.
          example: true
          examples:
            - true
            - false
          title: Distributed
          type: boolean
        external_gateway_info:
          anyOf:
            - $ref: '#/components/schemas/ExternalGatewaySerializer'
            - type: 'null'
          default: null
          description: State of this router's external gateway.
        id:
          description: Router ID
          format: uuid4
          title: Id
          type: string
        interfaces:
          description: List of router interfaces.
          items:
            $ref: '#/components/schemas/PortSerializer'
          title: Interfaces
          type: array
        name:
          description: Router name
          title: Name
          type: string
        project_id:
          description: Project ID
          example: 1337
          examples:
            - 1337
          title: Project Id
          type: integer
        region:
          description: Region name
          example: Luxembourg 1
          examples:
            - Luxembourg 1
          title: Region
          type: string
        region_id:
          description: Region ID
          example: 7
          examples:
            - 7
          title: Region Id
          type: integer
        routes:
          description: List of custom routes.
          items:
            $ref: '#/components/schemas/RouteOutSerializer'
          title: Routes
          type: array
        status:
          description: Status of the router.
          title: Status
          type: string
        task_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          description: >-
            The UUID of the active task that currently holds a lock on the
            resource. This lock prevents concurrent modifications to ensure
            consistency. If `null`, the resource is not locked.
          title: Task Id
        updated_at:
          description: Datetime when the router was last updated
          format: date-time
          title: Updated At
          type: string
      required:
        - project_id
        - region_id
        - region
        - id
        - name
        - status
        - distributed
        - interfaces
        - routes
        - created_at
        - updated_at
        - task_id
      title: RouterSerializer
      type: object
    ExternalGatewaySerializer:
      properties:
        enable_snat:
          description: Is SNAT enabled.
          example: true
          examples:
            - true
          title: Enable Snat
          type: boolean
        external_fixed_ips:
          description: List of external IPs that emit SNAT-ed traffic.
          example:
            - ip_address: 172.24.4.6
              subnet_id: b930d7f6-ceb7-40a0-8b81-a425dd994ccf
          examples:
            - - ip_address: 172.24.4.6
                subnet_id: b930d7f6-ceb7-40a0-8b81-a425dd994ccf
          items:
            $ref: '#/components/schemas/PortIpSubnetIdSerializer'
          title: External Fixed Ips
          type: array
        network_id:
          description: Id of the external network.
          example: ae34051f-aa6c-4c75-abf5-50dc9ac99ef3
          examples:
            - ae34051f-aa6c-4c75-abf5-50dc9ac99ef3
          format: uuid4
          title: Network Id
          type: string
      required:
        - network_id
        - enable_snat
        - external_fixed_ips
      title: ExternalGatewaySerializer
      type: object
    PortSerializer:
      properties:
        ip_assignments:
          description: IP addresses assigned to this port
          example:
            - ip_address: 192.168.123.20
              subnet_id: 351b0dd7-ca09-431c-be53-935db3785067
            - ip_address: 192.168.120.16
              subnet_id: 0a641ef8-62dc-4146-91e5-6ab4b464df6d
          examples:
            - - ip_address: 192.168.123.20
                subnet_id: 351b0dd7-ca09-431c-be53-935db3785067
              - ip_address: 192.168.120.16
                subnet_id: 0a641ef8-62dc-4146-91e5-6ab4b464df6d
          items:
            $ref: '#/components/schemas/PortIpSubnetIdSerializer'
          title: Ip Assignments
          type: array
        mac_address:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: MAC address of the virtual port
          examples:
            - 00:16:3e:f2:87:16
          title: Mac Address
        network_id:
          description: ID of the network the port is attached to
          example: bc688791-f1b0-44eb-97d4-07697294b1e1
          examples:
            - bc688791-f1b0-44eb-97d4-07697294b1e1
          format: uuid4
          title: Network Id
          type: string
        port_id:
          description: ID of virtual ethernet port object
          example: 1f0ca628-a73b-42c0-bdac-7b10d023e097
          examples:
            - 1f0ca628-a73b-42c0-bdac-7b10d023e097
          format: uuid4
          title: Port Id
          type: string
      required:
        - port_id
        - ip_assignments
        - network_id
      title: PortSerializer
      type: object
    RouteOutSerializer:
      properties:
        destination:
          description: CIDR of destination IPv4 or IPv6 subnet.
          example: 10.0.3.0/24
          examples:
            - 10.0.3.0/24
          format: ipvanynetwork
          title: Destination
          type: string
        nexthop:
          description: >-
            IPv4 or IPv6 address to forward traffic to if it's destination IP
            matches 'destination' CIDR.
          example: 10.0.0.13
          examples:
            - 10.0.0.13
          format: ipvanyaddress
          title: Nexthop
          type: string
      required:
        - destination
        - nexthop
      title: RouteOutSerializer
      type: object
    PortIpSubnetIdSerializer:
      properties:
        ip_address:
          description: IP address
          example: 192.168.123.20
          examples:
            - 192.168.123.20
          format: ipvanyaddress
          title: Ip Address
          type: string
        subnet_id:
          description: ID of the subnet that allocated the IP
          example: 351b0dd7-ca09-431c-be53-935db3785067
          examples:
            - 351b0dd7-ca09-431c-be53-935db3785067
          format: uuid4
          title: Subnet Id
          type: string
      required:
        - subnet_id
        - ip_address
      title: PortIpSubnetIdSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````